Subject: Issue 32: Re: [Ietf-calsify] Section 4.4: "Single iCalendar object" versus "Sequence of iCalendar objects"

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Oct 23 10:14:15 2006

Are there any objections to this change?

Without this change, statements such as the following in
section 4.2.19 "Time Zone Identifier" would remain
ambiguous:

 > An individual "VTIMEZONE" calendar component MUST be
 > specified for each unique "TZID" parameter value
 > specified in the iCalendar object.

Based on the current definition of "iCalendar object" it
would be valid to specify an iCalendar object that makes
reference to a VTIMEZONE in another iCalendar object.

Cheers,
Bernard

Alexey Melnikov wrote:
> Bernard Desruisseaux wrote:
> 
>> Section 4.4 iCalendar Object of RFC 2445 says:
>>
>> > The Calendaring and Scheduling Core Object is a collection of
>> > calendaring and scheduling information. Typically, this information
>> > will consist of a single iCalendar object. However, multiple
>> > iCalendar objects can be sequentially grouped together. The first
>> > line and last line of the iCalendar object MUST contain a pair of
>> > iCalendar object delimiter strings. The syntax for an iCalendar
>> > object is as follows:
>> >
>> >   icalobject = 1*("BEGIN" ":" "VCALENDAR" CRLF
>> >                icalbody
>> >                "END" ":" "VCALENDAR" CRLF)
>>
>> I would like to modify this section to introduce the notion of an
>> "iCalendar stream" to make it explicit when we are refering to a
>> "single iCalendar object" or a "sequence of iCalendar objects".
>>
>> Proposed new text:
>>
>> > The Calendaring and Scheduling Core Object is a collection of
>> > calendaring and scheduling information. Typically, this information
>> > will consist of an iCalendar stream with a single iCalendar object.
>> > However, multiple iCalendar objects can be sequentially grouped
>> > together in an iCalendar stream. The first line and last line of
>> > the iCalendar object MUST contain a pair of iCalendar object
>> > delimiter strings. The syntax for an iCalendar stream is as follows:
>> >
>> >   icalstream = 1*icalobject
>> >
>> >   icalobject = "BEGIN" ":" "VCALENDAR" CRLF
>> >                icalbody
>> >                "END" ":" "VCALENDAR" CRLF
> 
> I like that.
>